'use strict';
define(function() {
  var featureattachementwidget = function(gcPopup, $translate) {
    return {
      templateUrl:
        'js/XG/widgets/mapapp/featureattachment/views/featureattachmentwidget.html',

      restrict: 'A',
      link: function(scope, element, attrs, ctrl) {
        scope.showConfig = false;
        //scope.mode = localStorage.mode;

        scope.aboutConfig = {};

        scope.featureattachmentListPopUp = function() {
          scope.configPopup = gcPopup.open({
            scope: scope,
            title: 'Configuration',
            template:
              'js/XG/widgets/mapapp/featureattachment/views/featureattachmentwidgetpopup.html',
            showClose: true,
          });
        };
      },
    };
  };

  featureattachementwidget.$inject = ['gcPopup', '$translate'];
  return featureattachementwidget;
});
